# geos::geom::prep::PreparedPoint Class Reference

A prepared version of Point or MultiPoint geometries. More...

`#include <PreparedPoint.h>`

Inheritance diagram for geos::geom::prep::PreparedPoint:

List of all members.

## Public Member Functions

| PreparedPoint (const Geometry *geom)
bool | intersects (geom::Geometry *g)

## Detailed Description

A prepared version of Point or MultiPoint geometries.

Author:
  Martin Davis

## Member Function Documentation

bool geos::geom::prep::PreparedPoint::intersects | ( | geom::Geometry * | g ) |

Tests whether this point intersects a Geometry.

The optimization here is that computing topology for the test geometry is avoided. This can be significant for large geometries.

The documentation for this class was generated from the following file:

- PreparedPoint.h